LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XImageProducerSupplier Interface Referencepublished

provides the access to an image producer. More...

`import"XImageProducerSupplier.idl";`

Inheritance diagram for XImageProducerSupplier:

## Public Member Functions
com::sun::star::awt::XImageProducer | getImageProducer ()
| accesses the image producer. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to an image producer.

See also
  com::sun::star::awt::XImageProducer

## Member Function Documentation

## ◆ getImageProducer()

com::sun::star::awt::XImageProducer getImageProducer | ( |  | ) |

accesses the image producer.

Returns
  the image producer.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XImageProducerSupplier.idl